/* 
Theme Name:		 Agent
Description:	 Agent is a child theme of ColorMag, created by Si-Leffarmor
Author:			 Si- Leffarmor
Author URI:		 SI- Leffarmor
Template:		 colormag
Version:		 1.0.0
Text Domain:	 agent
*/


/*
    CSSS personnalisées
*/
:root {
  --cm-color-1: #EBE9F9;
  --cm-color-2: #7364A9;	
  --main-blanc: #FFFFFF;
  --main-blanc-06: rgba(255,255,255,0.6);
  --main-violet: #7364A9;
  --main-violet2: #EBE9F9;
  --main-violet-clair: #F3F1FA;
  --main-violet-01: rgba(32,125,175,0.1);
  --main-violet-03: rgba(146,127,199,0.3);
  --main-violet-07: rgba(146,127,199,0.7);
  --main-jaune: #C2CA27;
  --main-jaune-clair: #8FB023;
  --main-gris-clair: #F4F4FA;
  --main-gris-bordure: #E7E7F1;
  --main-gris-fonce: #2F2F56;
  --main-gris: #4e4e4e;
  --main-gris-01: rgba(206,215,216,0.1);
  --main-gris-fort: #4e4e4e;
}
/********************* Generique *************************/
a{position: relative;z-index:1}
a div, a h4, a img{
	transition: transform 1s;
	z-index :1;
}
/*a img{

}*/
a:hover div, a:hover, a:hover h4, a:hover img{
	transform: scale(1.1);
	z-index:100;
}
h2, h3{
	padding: 10px !important;
	border-radius: 4px;
}
h2{
	font-size: 2.5rem;
	text-align:center;
}

/******************** Menu bandeau haut ********************/
#cm-header-1{
	margin-bottom: 1em;
}
nav{
	height: auto;
}
.cm-menu-primary-container{
	height: auto;
	margin-bottom: 30px;
}
#cm-primary-nav{
	border-top: 0px solid var(--main-violet);
}
#menu-principal{
	padding: 0 200px;
	padding: 0 175px;
	background: var(--main-gris-clair);
	color: var(--main-violet);
	border-radius: 20px;
}
#menu-principal li {
	z-index: 10;
	position: relative;
}	

#menu-principal li a {
  position: relative;
  width: auto;
  height: 20px;
  display: block;
  width:100%;
  height: 100%;
	color: var(--main-violet);
}
#menu-principal li a .dashicons{
	opacity: 1;
	display: inline-block;
	transition: transform 1s;
}
#menu-principal li a .menu-image-title{
	opacity: 0;
	visibility: hidden;
	position: absolute;
	display: block;
	height: 30px;
	top: 32px;
	left: -80px;
	transition: transform 1s;
}
#menu-principal li.current-menu-item{
	background-color: var(--main-violet2);
}
#menu-principal li:hover .dashicons{
	transform: scale(1.5);
}

#menu-principal   li:hover .menu-image-title{
	opacity: 1;
	visibility: visible;
	width: 180px;
	background-color: var(--main-violet2);
	border-top: 1px solid var(--main-violet2);
	border-left: 1px solid var(--main-violet2);
	border-right: 1px solid var(--main-violet2);
	border-bottom: 1px solid var(--main-violet2);
	color: var(--main-violet);
	border-radius: 4px;
	/*transform: scale(1.1);*/
}

#menu-principal   li:hover{
    background-color: var(--main-blanc);
	border-left: 1px solid var(--main-violet);
	border-right: 1px solid var(--main-violet);
	border-bottom: 1px solid var(--main-blanc);
	color: var(--main-violet);
}
#menu-principal   li:hover a{
	color: var(--main-violet);
}

/*************** Contenu page ***************/
#cm-content{
	padding: 30px;
	padding-top:0px;
}

.cm-header-col-1{
	flex-basis:50%;
	gap:0;
}
.home #page h1.cm-site-title,#page.site h3.cm-site-title{
	text-shadow: 1px 1px var(--main-gris);
	background-color: var(--main-violet-07);
	background: radial-gradient(circle at bottom center, var(--main-violet), var(--main-violet-07) 30%, var(--main-violet-07) 60%, var(--main-violet-03) 70%, transparent 85%);
	padding: 0.2em 2.5em 0.2em 2.5em !important;
	border-radius: 1em;
}
.cm-header-1 .cm-row{
	padding: 0;
}
h1.cm-site-title a{
	color: var(--main-blanc);
}
#cm-primary-nav{
	box-shadow: none;
}
.cm-entry-header h2, .cm-entry-header h1{
	display:none;
}
 .elementor-widget-container h2.elementor-heading-title{
    background: var(--main-violet);
    color:var(--main-blanc);
    font-weight: normal;
	border-bottom: 1px solid var(--main-violet);
	border-radius: 10px 10px 0 0;
	font-weight: bold;
}
 .jaune .elementor-widget-container h2.elementor-heading-title{
    background: var(--main-jaune);
	border-bottom: 1px solid var(--main-jaune);
 }
 .neutre .elementor-widget-container h2.elementor-heading-title{
    background: linear-gradient(180deg, var(--main-gris-clair)30%, transparent 80%, transparent);
	border-bottom: 1px solid var(--main-gris-bordure);
	color: var(--main-gris-fonce);
	text-align: center;
 }
 .neutre2 .elementor-widget-container h2.elementor-heading-title{
    background: linear-gradient(180deg, transparent, var(--main-gris-clair) 30%);
	border-bottom: 1px solid var(--main-gris-bordure);
	color: var(--main-gris-fonce);
 }
.cm-container {
    max-width: 1340px;
}

/**************** Fil actualite *****************/
.agent_front .wplp_container.default, .agent_front .wplp_container{
	background-color: transparent;
	padding: 10px;
	border-radius: 8px;
}

.agent_front .wplp_container.default .title {
    height: 35px;
}
.wplp_container .swiper-slide{
	border: 1px solid var(--main-gris-bordure);
	padding: 5px;
	border-radius: 5px;
	box-shadow: 1px 1px 5px 3px var(--main-violet2);
}
a#scroll-up i{
	background-color: var(--main-violet-03);
}
a#scroll-up:hover i{
	background-color: var(--main-violet-07);
}
.swiper-slide a.read-more{
	color: var(--main-jaune) !important;
}
.swiper-slide a:hover.read-more{
	color: var(--main-jaune) !important;
	font-weight: bold;
}

/******************** Menu bandeau droite ********************/
#cm-secondary{
	padding: 2px;
}
#date_jour{
	width: 80%;
	text-align: center;
    background-color: var(--main-gris-clair);
	border: 1px solid var(--main-gris-bordure);
	padding: 10px;
	border-radius: 22px;
	color: var(--main-gris-fonce);
	font-weight: bold;
	font-size: 1.2em;
	margin: 0 auto;
	margin-bottom: 22px;
	margin-top: 22px;
	height: 45px;
	Line-height: 23px;
}
#cm-secondary aside{
	box-shadow: 2px 8px 15px 5px var(--main-violet2);
    background-color: var(--main-gris-01);
	border-radius: 22px; 
}
#applicom{
	padding: 15px;
}
#Appli_commun{
    /*background-color: var(--main-gris-01);*/
	padding: 10px;
	border-radius: 10px;
}
.Icone-info {
margin-bottom: 20px;   
text-align: center;
padding-bottom: 10px;
/*border-bottom: 1px solid var(--main-violet);*/
width: 32%;
display: inline-block;
}
.Icone-info .icon i{
    font-size: 3em;
	filter:grayscale(50%);
	/*filter:blur(4px)*/
}
.Icone-info a:hover  .icon i{
	filter:grayscale(0%);
	/*filter:blur(0px)*/
}
.Icone-info h4{
    font-size: 0.9em;
    margin-bottom: 0;
	color: var(--main-gris-fonce);
}
.widget .Icone-info p, .Icone-info p{
    font-size: 0.6em;
    margin-bottom: 0;
}
#cm-secondary a img{
	filter:grayscale(50%);
}
#cm-secondary a:hover img{
	filter:grayscale(0%);
}
#cm-secondary .widget .block-title{
	border: 0;
}
#cm-secondary a:hover{
	text-decoration: none;
}
#applipratique{
	/*background: var(--main-gris-clair);*/
	border-radius: 22px; 
	padding-bottom: 15px;
}
#applipratique h3{
	width: 100%;
	text-align: center;
    background-color: var(--main-violet);
	padding: 15px 10px !important;
	border-radius: 10px 10px 0 0;
	color: var(--main-blanc);
	font-weight: bold;
	font-size: 1.2em;
	Line-height: 23px;
	border-bottom: 3px solid var(--main-violet-clair);
}
#applipratique .appliprat{
	padding-bottom: 10px;
}
#applipratique .appliprat a{
	width: 90%;
	margin: 0 auto;
	text-align: center;
	display: block;
	padding: 10px 20px;
	border: 1px solid var(--main-gris-bordure);
	background: var(--main-blanc);
	border-radius: 10px;
}

#applipratique .appliprat a img{
	width: auto;
	max-height: 70%;
	width: auto;
	max-width: 70%;
}


/******************** Latest post ********************/
.single-post .cm-featured-image{
	display: none;
	visibility: hidden;
}
.wpcu_block_title{
	visibility: hidden;
	display: none;
}
/******************** Modification des pages ********************/
.accentuation_leff{
	text-align:center;
	padding: 10px 0;
}

.accentuation_leff span.mea_leff{
	padding:10px 20px;
	background-color: var(--main-violet);
	color: var(--main-blanc);
	border-radius: 5px;
}
/************************* lecteur PDF ***********************/
.lecteurpdf {
	background: var(--main-gris-clair);
	box-shadow: 3px 3px 10px 4px var(--main-violet2);
}
/*********************** Bloc appli ****************************/
.blocappli{
	background: var(--main-gris-clair);
	box-shadow: 3px 3px 10px 4px var(--main-violet2);
	border-radius: 22px !important;
	padding: 0 !important;
}
.blocappli .elementor-widget-heading{
	width: 100%;
}
.blocappli .elementor-icon-wrapper{
	width: 80%;
	margin:0 auto;
}
.blocappli .elementor-icon-wrapper a{
	width: 90%;
	margin: 0 auto;
	text-align: center;
	display: block;
	padding: 10px 20px;
	border: 1px solid var(--main-gris-bordure);
	background: var(--main-blanc);
	border-radius: 10px;
}
.blocappli .elementor-icon-wrapper a svg{
	margin:0 auto;
}
/******************** Base de connaissance ********************/

#page #epkb-ml__module-search{
	background-color:var(--main-violet) !important;
}
#page #epkb-ml__module-search #epkb-ml-search-classic-layout #epkb-ml-search-form #epkb-ml-search-box{
	background-color:var(--main-violet) !important;
}
#page #epkb-ml__module-search #epkb-ml-search-classic-layout .epkb-ml-search-box__btn{
	background-color:var(--main-violet) !important;
}
#page .epkb-cat-icon{
	color:var(--main-violet) !important;
}

#page .eckb-navigation-button, #page .eckb-article-content-toolbar-button-container{
	background-color:var(--main-violet) !important;
	border-color: var(--main-violet) !important;
}
#page #epkb-sidebar-container-v2 .epkb-sidebar__cat__top-cat__heading-container{
	background-color:var(--main-violet-07) !important;
	border-color: var(--main-violet-07) !important;
}

/********************** presentation Leff *********************/

.card-leff{
	padding: 2px;
	border-radius: 0px;
}
.card-leff > div{
	border: 1px solid var(--main-gris-bordure);
	padding: 10px;
	border-radius: 10px;
	box-shadow: 3px 3px 10px 4px var(--main-violet2);
}
.card-leff h4{
	padding-top: 10px;
	font-size:1.2em;
	text-align :center;
	color: var(--main-gris-fonce);
}
.boutonplus{
	width: 50%;
	margin: 0 auto;
	text-align: center;
	padding: 4px 0;
	border-radius: 10px;
	background: linear-gradient(270deg, var(--main-jaune)30%, var(--main-jaune-clair) 80%, var(--main-jaune-clair));
	color: var(--main-blanc);
	display: block;
}

/********************* Pied de page *********************************/
footer{
	border-top: 2px solid #7B61B5;
}
footer .cm-footer-bar{
	background: var(--main-gris-fonce);
}
footer .copyright a{
	color: var(--main-violet);
}
footer .copyright a:hover{
	color: var(--main-jaune);
}